Subject: Glyphs in Private Use Area not displayed in Emacs CVS

From: Alex Speed Kjeldsen <[email-masked]>
Date: Wed, 6 Aug 2008 09:19:38 +0200

Yesterday I compiled emacs from CVS by doing:

  cvs -z3 -d:pserver:[email-masked]:/sources/emacs co emacs
  ./configure --prefix=/opt/emacs-cvs --program-suffix=.em23 --with-x-toolkit --enable-font-backend --with-xft

It seems to work ok with one for me very important exception: glyphs in the Private Use Area are not rendered correctly. They simply appear as empty boxes in the buffers. This bug seems to have been around for quite some time (introduced somewhere between December and February, I think -- judging from the ubuntu packages maintained by Alexandre Vassalotti).

I hope this can be fixed soon, since it is crucial for my work. I use a lot of glyphs from the PUA in my research (Old Norse Philology).

Best regards

Alex Speed Kjeldsen
Copenhagen University